org.licas.autonomic.script

## Class AutoOut

- java.lang.Object
- - org.licas.autonomic.script.AutoOut

-     public class AutoOut
      extends java.lang.Object

  A list of effectors that relate to a positive evaluator result.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoOut()` Create a new instance of AutoEffector

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<AutoEngineInfo>` | `getEffectors()` Get the effectors list.
    `int` | `getEffectorsSize()` Get the number of effectors in the list.
    `protected boolean` | `isError()` Return true if effector reply contains a specific error statement.
    `protected boolean` | `isOK()` Return true if effector reply is OK for processing.
    `protected boolean` | `notOK()` Return true if effector reply is Not OK for processing.
    `void` | `resetEffectors()` In case need to reset the effectors to empty list again
    `void` | `setToError()` Set the effector reply to indicate an error.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoOut

          public AutoOut()

      Create a new instance of AutoEffector

  - ### Method Detail

    - #### setToError

          public void setToError()

      Set the effector reply to indicate an error.

    - #### isOK

          protected boolean isOK()

      Return true if effector reply is OK for processing.
      Returns:
        true if contains list of effector statement(s).

    - #### notOK

          protected boolean notOK()

      Return true if effector reply is Not OK for processing.
      Returns:
        true if empty list or error statement.

    - #### isError

          protected boolean isError()

      Return true if effector reply contains a specific error statement.
      Returns:
        true if contains specific error statement.

    - #### resetEffectors

          public void resetEffectors()

      In case need to reset the effectors to empty list again

    - #### getEffectorsSize

          public int getEffectorsSize()

      Get the number of effectors in the list. If set to error, then return 0.
      Returns:
        the size of effectorList, or 0 if an error.

    - #### getEffectors

          public java.util.ArrayList<AutoEngineInfo> getEffectors()

      Get the effectors list. If an error then return null.
      Returns:
        the value of effectorList, or null if an error.